#include "..\..\..\drivers\TCPIPcore.h"


/*******************************************************************************************/
/* If you have QFN64pin package W7100A, have to use 'USE_QFN64' definition in TCPIPcore.h  */
/*******************************************************************************************/
						

uint8 led_blink_trigger = 0;

void ei_init(void);


void ei_init(void)
{
	uint8 tmpEA;

	tmpEA = EA;
	EA = 0;

	EX0 = 1; //external interrupt 0(nINT0) enable
	PX0 = 1; //1 : high priority, 0 : low priority
	IT0 = 0; //0 : level sensitivity, 1 : edge sensitivity

	EA = tmpEA;
}


void main()
{
	uint32 i;
	Init_iMCU();	 	// Initialize   iMCUW7100
	Init_Network(); 	// Initialize   Network Configuration

	
	ei_init();	 		//Initialize external interrupt 0
	EA = 1;				// Global interrupt enable

	while(1)
	{			
		printf(".");
		for(i=0; i<100000; i++)
		{
		}
	}
}


void ei_isr(void) interrupt 0 
{
 	uint8 tmpEA;

	tmpEA = EA;					// Backup global interrupt status
 	EA = 0;	 					// Global interrupt disable

	/*
	Insert interrupt flag clear code and your routine code
	*/

	EA = tmpEA;				   	// Global interrupt restoration
}